Package org.mariadb.jdbc.util.constants

## Class Capabilities

- java.lang.Object
- - org.mariadb.jdbc.util.constants.Capabilities

    public final class Capabilities
    extends Object

Client / Server capabilities

### Field Summary

Fields
`static int` `CLIENT_DEPRECATE_EOF` EOF packet deprecated
`static int` `CLIENT_INTERACTIVE` Is interactive client
`static int` `CLIENT_MYSQL` Is client mysql
`static int` `CLIENT_PROTOCOL_41` Use 4.1 protocol
`static int` `CLIENT_SESSION_TRACK` server send session tracking info
`static int` `COMPRESS` use compression protocol
`static int` `CONNECT_ATTRS` Client send connection attributes
`static int` `CONNECT_WITH_DB` One can specify db on connect
`static int` `FOUND_ROWS` use Found rowd instead of affected rows
`static int` `IGNORE_SIGPIPE` IGNORE sigpipes
`static int` `IGNORE_SPACE` Ignore spaces before '('
`static int` `LOCAL_FILES` Can use LOAD DATA LOCAL
`static int` `LONG_FLAG` Get all column flags
`static long` `MARIADB_CLIENT_CACHE_METADATA` permit metadata caching
`static long` `MARIADB_CLIENT_COM_MULTI` not used anymore - reserved
`static long` `MARIADB_CLIENT_EXTENDED_TYPE_INFO` metadata extended information
`static long` `MARIADB_CLIENT_PROGRESS` Client progression
`static long` `MARIADB_CLIENT_STMT_BULK_OPERATIONS` permit COM_STMT_BULK commands
`static int` `MULTI_RESULTS` Enable/disable multi-results
`static int` `MULTI_STATEMENTS` Enable/disable multi-stmt support
`static int` `NO_SCHEMA` Don't allow database.table.column
`static int` `ODBC` Odbc client
`static int` `PLUGIN_AUTH` Client supports plugin authentication
`static int` `PLUGIN_AUTH_LENENC_CLIENT_DATA` authentication data length is a length auth integer
`static int` `PROGRESS_OLD` Client support progress indicator (before 10.2)
`static int` `PS_MULTI_RESULTS` Enable/disable multi-results for PrepareStatement
`static int` `RESERVED` reserved - not used
`static int` `SECURE_CONNECTION` New 4.1 authentication
`static int` `SSL` Switch to SSL after handshake
`static int` `TRANSACTIONS` transactions

### Constructor Summary

Constructors
`Capabilities()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLIENT_MYSQL

    public static final int CLIENT_MYSQL

Is client mysql

See Also:
  Constant Field Values

#### FOUND_ROWS

    public static final int FOUND_ROWS

use Found rowd instead of affected rows

See Also:
  Constant Field Values

#### LONG_FLAG

    public static final int LONG_FLAG

Get all column flags

See Also:
  Constant Field Values

#### CONNECT_WITH_DB

    public static final int CONNECT_WITH_DB

One can specify db on connect

See Also:
  Constant Field Values

#### NO_SCHEMA

    public static final int NO_SCHEMA

Don't allow database.table.column

See Also:
  Constant Field Values

#### COMPRESS

    public static final int COMPRESS

use compression protocol

See Also:
  Constant Field Values

#### ODBC

    public static final int ODBC

Odbc client

See Also:
  Constant Field Values

#### LOCAL_FILES

    public static final int LOCAL_FILES

Can use LOAD DATA LOCAL

See Also:
  Constant Field Values

#### IGNORE_SPACE

    public static final int IGNORE_SPACE

Ignore spaces before '('

See Also:
  Constant Field Values

#### CLIENT_PROTOCOL_41

    public static final int CLIENT_PROTOCOL_41

Use 4.1 protocol

See Also:
  Constant Field Values

#### CLIENT_INTERACTIVE

    public static final int CLIENT_INTERACTIVE

Is interactive client

See Also:
  Constant Field Values

#### SSL

    public static final int SSL

Switch to SSL after handshake

See Also:
  Constant Field Values

#### IGNORE_SIGPIPE

    public static final int IGNORE_SIGPIPE

IGNORE sigpipes

See Also:
  Constant Field Values

#### TRANSACTIONS

    public static final int TRANSACTIONS

transactions

See Also:
  Constant Field Values

#### RESERVED

    public static final int RESERVED

reserved - not used

See Also:
  Constant Field Values

#### SECURE_CONNECTION

    public static final int SECURE_CONNECTION

New 4.1 authentication

See Also:
  Constant Field Values

#### MULTI_STATEMENTS

    public static final int MULTI_STATEMENTS

Enable/disable multi-stmt support

See Also:
  Constant Field Values

#### MULTI_RESULTS

    public static final int MULTI_RESULTS

Enable/disable multi-results

See Also:
  Constant Field Values

#### PS_MULTI_RESULTS

    public static final int PS_MULTI_RESULTS

Enable/disable multi-results for PrepareStatement

See Also:
  Constant Field Values

#### PLUGIN_AUTH

    public static final int PLUGIN_AUTH

Client supports plugin authentication

See Also:
  Constant Field Values

#### CONNECT_ATTRS

    public static final int CONNECT_ATTRS

Client send connection attributes

See Also:
  Constant Field Values

#### PLUGIN_AUTH_LENENC_CLIENT_DATA

    public static final int PLUGIN_AUTH_LENENC_CLIENT_DATA

authentication data length is a length auth integer

See Also:
  Constant Field Values

#### CLIENT_SESSION_TRACK

    public static final int CLIENT_SESSION_TRACK

server send session tracking info

See Also:
  Constant Field Values

#### CLIENT_DEPRECATE_EOF

    public static final int CLIENT_DEPRECATE_EOF

EOF packet deprecated

See Also:
  Constant Field Values

#### PROGRESS_OLD

    public static final int PROGRESS_OLD

Client support progress indicator (before 10.2)

See Also:
  Constant Field Values

#### MARIADB_CLIENT_PROGRESS

    public static final long MARIADB_CLIENT_PROGRESS

Client progression

See Also:
  Constant Field Values

#### MARIADB_CLIENT_COM_MULTI

    public static final long MARIADB_CLIENT_COM_MULTI

not used anymore - reserved

See Also:
  Constant Field Values

#### MARIADB_CLIENT_STMT_BULK_OPERATIONS

    public static final long MARIADB_CLIENT_STMT_BULK_OPERATIONS

permit COM_STMT_BULK commands

See Also:
  Constant Field Values

#### MARIADB_CLIENT_EXTENDED_TYPE_INFO

    public static final long MARIADB_CLIENT_EXTENDED_TYPE_INFO

metadata extended information

See Also:
  Constant Field Values

#### MARIADB_CLIENT_CACHE_METADATA

    public static final long MARIADB_CLIENT_CACHE_METADATA

permit metadata caching

See Also:
  Constant Field Values

### Constructor Detail

#### Capabilities

    public Capabilities()